using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace CanYouBuildIt.Model
{
    public class Manager
    {
        public List<Utilisateur> listUtil { get; private set; }
        public List<Composant> listComp { get; private set; }
        public IPersistanceManager Persi { get; set; }

        public Manager()
        {
            listUtil = new List<Utilisateur>();
            listComp = new List<Composant>();
        }
        public Manager(IPersistanceManager pers) 
        {
            listUtil = new List<Utilisateur>();
            Persi = pers;
        }

        public void chargeDonne()
        {
            var donnee = Persi.chargeDonnee();
            listUtil.AddRange(donnee.Item1);
            //listComp.AddRange(donnee.Item2);
            Console.Write("SJBEVKBV<SBDVK<KBCBJCqCeCsVHQ%LRVKzropjv$ptihujhbgoZRGJ");
        }

        public void sauvegardeDonnee()
        {
            Persi.sauvegardeDonnee(listUtil,listComp);
        }

        public void ajouterUtilisateur(Utilisateur utilisateur)
        {
            listUtil.Add(utilisateur);
        }

        public void ajouterComposant(Composant composant)
        {
            listComp.Add(composant);
        }
    }
}
